=== debian/changelog ===
libmysofa (0.6~dfsg0-2) unstable; urgency=medium

  * Set Multi-Arch:same (Closes: #882230)
  * Fixed Vcs-Git stanza
  * Bumped standards veresion to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Nov 2017 15:43:42 +0100

libmysofa (0.6~dfsg0-1) unstable; urgency=medium

  * Initial release (Closes: #865419)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Jul 2017 22:12:40 +0200
