=== debian/control ===
Source: libmysofa
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-exec,
 cmake,
 zlib1g-dev | libz-dev,
 libcunit1-dev,
Standards-Version: 4.1.1
Section: devel
Homepage: https://github.com/hoene/libmysofa
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git

Package: libmysofa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmysofa0 (= ${binary:Version}),
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - development files
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the files necessary to compile applications using
 libmysofa.

Package: libmysofa0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the shared objects necessary to run an application using
 libmysofa.

Package: libmysofa-utils
Architecture: any
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - utilities
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the mysofa2json utility.
