=== debian/watch ===
# See uscan
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="dversionmangle=s/[~+](dfsg|repack)([.]?[0-9]*)?$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libmysofa-$1.tar.gz%" \
   https://github.com/hoene/libmysofa/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
