=== debian/changelog ===
libmysofa (0.6~dfsg0-2+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 20:05:19 +0000
