## libmysofa 0.6~dfsg0.2

=== debian/changelog ===
libmysofa (0.6~dfsg0.2-1+security) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Sun, 04 Apr 2021 15:35:48 +0800

libmysofa (0.6~dfsg0.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2019-20016

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 31 Aug 2020 13:36:00 +0800

libmysofa (0.6~dfsg0-3+deb10u1) buster; urgency=high

  * Backport security fixes (Closes: #939735)
    * CVE-2019-16091
    * CVE-2019-16092
    * CVE-2019-16093
    * CVE-2019-16094
    * CVE-2019-16095
    * misc security fixes that have no CVE assigned

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Sep 2019 13:44:59 +0200

libmysofa (0.6~dfsg0-3) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Backport fix for CVE-2019-10672 (Closes: #926125)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Apr 2019 23:25:15 +0200
