=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -12,8 +12,8 @@
 Standards-Version: 4.1.1
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libmysofa.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libmysofa.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libmysofa
 
 Package: libmysofa-dev
 Section: libdevel
