## libmysofa 0.7~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 INCLUDE(CheckCCompilerFlag)
 include(GenerateExportHeader)
+include(GNUInstallDirs)
 
 option(BUILD_TESTS "Build test programs" ON)
 option(BUILD_SHARED_LIBS "Build shared library" ON)
@@ -18,15 +19,19 @@
 SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")
 
+SET(PKG_CONFIG_PRIVATELIBS "")
+
+SET(PROJECT_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
+
 CHECK_C_COMPILER_FLAG(-Wall C_HAS_WALL)
 IF(C_HAS_WALL)
   SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
 ENDIF(C_HAS_WALL)
 
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
+set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG -DVDEBUG")
 
-install(FILES share/default.sofa DESTINATION share/libmysofa)
-install(FILES share/MIT_KEMAR_normal_pinna.sofa DESTINATION share/libmysofa)
+install(FILES share/default.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
+install(FILES share/MIT_KEMAR_normal_pinna.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
 
 if(BUILD_TESTS)
 
@@ -37,6 +42,9 @@
   find_package(CUnit REQUIRED cunit)
 
   enable_testing()
+
+ # add_test(security_1 ./src/mysofa2json ../tests/security/1.sofa)
+ # add_test(security_2 /bin/sh -c "./src/mysofa2json ../tests/security/2.sofa || test \$? = 22")
 
   add_test(CIPIC_subject_003_hrir_final ../tests/compare.sh ../tests/CIPIC_subject_003_hrir_final)
   add_test(FHK_HRIR_L2354.sofa ../tests/compare.sh ../tests/FHK_HRIR_L2354)
@@ -51,3 +59,13 @@
 add_subdirectory(src)
 
 INCLUDE(CPack)
+
+CONFIGURE_FILE(
+  "${CMAKE_CURRENT_SOURCE_DIR}/libmysofa.pc.cmake"
+  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
+  @ONLY
+)
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
+  DESTINATION "lib/pkgconfig"
+)
