=== debian/changelog ===
libmysofa (0.7~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.7~dfsg0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Install library files from ${DEB_HOST_MULTIARCH}
  * Add new libmysofa0 symbols
  * State that building this package does not require root powers
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12
  * Bumped standards to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 15:47:39 +0200
