=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-exec,
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmysofa.git
