## libmysofa 0.8~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,5 +67,5 @@
 )
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
-  DESTINATION "lib/pkgconfig"
+  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
 )
