=== debian/changelog ===
libmysofa (0.8~dfsg0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Nov 2019 18:05:03 -0800

libmysofa (0.8~dfsg0-1) unstable; urgency=high

  * New upstream version 0.8~dfsg0
    * Closes: #939735
      - CVE-2019-16091
      - CVE-2019-16092
      - CVE-2019-16093
      - CVE-2019-16094
      - CVE-2019-16095
  * Add new symbols to d/libmysofa0.symbols
  * Refresh d/copyright
    * Add licensecheck target to d/rules
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Sep 2019 10:42:42 +0200
