=== debian/changelog ===
libmysofa (1.0~dfsg0-2) unstable; urgency=medium

  * Add patch to ensure that mysofa-utils use the shared library
  * Add autopkgtest
    * Add patch to make upstream scripts usable by autopkgtests
    * autopkgtest depends on nodejs
  * Make build more reproducible with "+fixfilepath"
  * Add patch to fix mysofa2json's export with custom variables

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 01 Mar 2020 20:57:02 +0100

libmysofa (1.0~dfsg0-1) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2020 22:01:08 +0100

libmysofa (1.0~dfsg0-1~exp1) experimental; urgency=medium

  * New upstream version 1.0~dfsg0
    * Fixes CVE-2020-6860 (Closes: #949325)
    * Bump soname to libmysofa1
    * Regenerate d/copyright_hints
  * Add salsa CI configuration
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Feb 2020 14:58:58 +0100

libmysofa (0.9.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.9.1~dfsg0
    * Regenerate d/copyright_hints
  * Update filenamemangling in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 14:03:06 +0100

libmysofa (0.9~dfsg0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ IOhannes m zmölnig ]
  * New upstream version 0.9~dfsg0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 07 Dec 2019 22:37:08 +0100
