=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dh-exec,
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
@@ -22,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmysofa0 (= ${binary:Version}),
+ libmysofa1 (= ${binary:Version}),
  ${misc:Depends},
 Description: library to read HRTFs stored in the AES69-2015 SOFA format - development files
  libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
@@ -37,7 +36,7 @@
  This package contains the files necessary to compile applications using
  libmysofa.
 
-Package: libmysofa0
+Package: libmysofa1
 Section: libs
 Architecture: any
 Multi-Arch: same
