=== debian/changelog ===
libmysofa (1.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.2~dfsg0
    * Refresh patches
  * Regenerate d/copyright_hints
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 30 Jan 2021 00:03:30 +0100

libmysofa (1.1~dfsg1-1) unstable; urgency=medium

  * New upstream version 1.1~dfsg1
    * Drop patches applied upstream
    * Refresh patches
  * Exclude tests/H20*.sofa (non-commercial license)
  * Declare patch as not forwardable
  * Install default sofa-file
  * Install pkg-config script
  * Disable profiling information
  * Add Build-Depends-Package information to symbols file
  * Fix autopkgtest by running the appropriate compare scripts
  * Drop B-D on "dh-exec" (obsoleted by dh>=13)
  * Fix paths in d/copyright
  * Regenerate d/copyright_hints
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Oct 2020 09:49:11 +0200
