=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 12),
- dh-exec,
+ debhelper-compat (= 13),
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
