=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCODE_COVERAGE=OFF \
+		$(empty)
 
 override_dh_auto_test:
 	# tests have been disabled, until we figure out how to make them not stall
