## libmysofa 1.2.1~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,9 @@
     135
     136
     137
-    138)
+    138
+    156
+    163)
     # issues with osx    96)
     add_test(fail-issue-${ISSUE} ${PROJECT_SOURCE_DIR}/tests/notcrashed.sh
              ${PROJECT_SOURCE_DIR}/tests/fail-issue-${ISSUE})
