=== debian/changelog ===
libmysofa (1.2.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.2.1~dfsg0
    * Refresh patches
  * Patch to use 'command -v' instead of 'which'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Nov 2021 12:33:49 +0100
