=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  zlib1g-dev | libz-dev,
  libcunit1-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
