=== debian/tests/control ===
Tests: mysofa2json
Depends: @, nodejs
