=== debian/watch ===
# See uscan
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts=dversionmangle=auto,\
	oversionmangle=s/$/~dfsg0/,\
	filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
   https://github.com/hoene/libmysofa/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
