## libmysofa 1.3.1~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 set(CPACK_GENERATOR "DEB")
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "3")
 set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")
 
@@ -53,6 +53,8 @@
 
   enable_testing()
 
+  add_test(Mesh2HRTF src/mysofa2json -c
+           ${PROJECT_SOURCE_DIR}/tests/Mesh2HRTF.sofa)
   add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json
            ${PROJECT_SOURCE_DIR}/tests/D1_48K_24bit_0.3s_FIR_SOFA.sofa)
   add_test(H20_44K_16bit_256tap_FIR_SOFA ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
@@ -84,7 +86,13 @@
     137
     138
     156
-    163)
+    163
+    167a
+    167b
+    168
+    171
+    173
+)
     # issues with osx    96)
     add_test(fail-issue-${ISSUE} ${PROJECT_SOURCE_DIR}/tests/notcrashed.sh
              ${PROJECT_SOURCE_DIR}/tests/fail-issue-${ISSUE})
