=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,7 +81,7 @@
 set_target_properties(
   mysofa-static
   PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE
-                                                      ON)
+                                                      ${BUILD_SHARED_LIBS})
 install(TARGETS mysofa-static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
   if(UNIX
@@ -150,6 +150,7 @@
     external
     tests/external.c
     tests/check.c
+    tests/check_data.c
     tests/lookup.c
     tests/neighbors.c
     tests/interpolate.c
