=== debian/changelog ===
libmysofa (1.3.1~dfsg0-1ubuntu2) mantic; urgency=medium

  * debian/patches/git_s390x_tests.patch:
    - cherry pick upstream fix for s390x tests issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 May 2023 13:30:29 +0200

libmysofa (1.3.1~dfsg0-1ubuntu1) mantic; urgency=medium

  * debian/control, debian/rules:
    - enable build tests, unless we are on i386 or s390x
  * debian/patches/ubuntu_ignore_tests.patch:
    - ignore tests that require .sofa files which are excluded from the dfsg
      tarball.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 May 2023 11:36:35 +0200

libmysofa (1.3.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.3.1~dfsg0
    * Drop patch applied upstream.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 15 Oct 2022 22:04:48 +0200

libmysofa (1.3~dfsg0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.3~dfsg0
    * Drop patches applied upstream
  * Add patch for missing include
  * Update d/libmysofa.symbols
  * Try to make build reproducible
  * Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Oct 2022 14:35:36 +0200
