=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libmysofa
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
+ libcunit1-dev,
+ nodejs [!i386] <!nocheck>,
  zlib1g-dev | libz-dev,
- libcunit1-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
@@ -40,8 +42,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: library to read HRTFs stored in the AES69-2015 SOFA format
  libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
  Format for Acoustics) files for spatial rendering.
@@ -59,8 +61,8 @@
 Architecture: any
 Section: utils
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: library to read HRTFs stored in the AES69-2015 SOFA format - utilities
  libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
  Format for Acoustics) files for spatial rendering.
