=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,24 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
+# the tests have hardcoded reference to build/src
 %:
-	dh $@
+	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 		-DCODE_COVERAGE=OFF \
 		$(empty)
 
+# no-parallel otherwise we are hitting test errors
 override_dh_auto_test:
-	# tests have been disabled, until we figure out how to make them not stall
-	@echo "skipping tests"
+ifeq (,$(filter $(DEB_HOST_ARCH), i386))
+	dh_auto_test --no-parallel
+else
+	dh_auto_test --no-parallel || true
+endif
 
 override_dh_clean:
 	dh_clean
