## libmysofa 1.3.2%2Bdfsg

=== debian/changelog ===
libmysofa (1.3.2+dfsg-2ubuntu2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:51 +0200

libmysofa (1.3.2+dfsg-2ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Build-Depend on nodejs on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 18:01:46 -0500

libmysofa (1.3.2+dfsg-2) unstable; urgency=medium

  * Run testsuite in terse mode

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Nov 2023 15:16:33 +0100

libmysofa (1.3.2+dfsg-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.3.2+dfsg
    + Refresh patches (with 'gbp pq')
    + Backported upstream patches
  * Ship Cmake snippets in libmysofa-dev
  * Re-enable build tests
    Thanks to Sebastien Bacher <seb128@ubuntu.com> (Closes: #1036219)
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
    + Modernize licensecheck target
  * d/watch: use repacksuffix
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Nov 2023 23:22:06 +0100
