=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcunit1-dev,
  nodejs [!i386] <!nocheck>,
  zlib1g-dev | libz-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://github.com/hoene/libmysofa
